ServerPaginatedListResponse
Successful response with a page of Server
Always 0 in a successful response
0Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Id of the purchase of the server (GET /api/v3/purchases/{purchase_id})
Type of the server: PH for a dedicated (physical) server, VM for a virtual machine, HV for a hypervisor or a private cloud
Whether the server is active: false once it has been deleted
Whether the server is ready, with its provisioning complete
Id of the primary IP address of the server (GET /api/v3/servers/{server_id}/ip-addresses/{ip_address_id})
Primary IP address of the server
Code of the service category of the server: DEDICATED (dedicated server), CLOUD (Cloud Server), CLOUD_SERVER_IOPS (Cloud VPS), CLOUD_SERVER_HA (Cloud Server HA), PRIVATE_CLOUD (private cloud) or PRIVATE_CLOUD_VM (virtual machine of a private cloud)
meta objectrequired
Pagination of the list
Number of items in the whole list
Number of items in this page: 0 beyond the last page
Number of pages of the list
Number of this page, starting from 1
Maximum number of items in a page
{
"error": 0,
"message": "string",
"data": [
{
"server_id": 0,
"purchase_id": 0,
"hostname": "string",
"server_type": "string",
"active": true,
"consolidated": true,
"ip_address_id": 0,
"ip_address": "string",
"service_category_code": "string",
"date_created": "2024-07-29T15:51:28.071Z"
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}